declare @cmd varchar(1000)

begin

DECLARE cmds CURSOR FOR

with stg as 
	(SELECT 'drop table [' + TABLE_SCHEMA + '].[' + Table_Name + ']' AS query
		FROM INFORMATION_SCHEMA.TABLES
		WHERE Table_Name LIKE 'stg%')

SELECT
	query
FROM stg

OPEN cmds
WHILE 1 = 1
BEGIN
    FETCH cmds INTO @cmd
    IF @@fetch_status != 0 BREAK
    EXEC(@cmd)
	--Print(@cmd)
END
CLOSE cmds;
DEALLOCATE cmds
end